.\" Copyright (c) 1994 by Tatsumi Hosokawa <hosokawa@jp.FreeBSD.org>
.\" 
.\" This software may be used, modified, copied, and distributed, in
.\" both source and binary form provided that the above copyright and
.\" these terms are retained. Under no circumstances is the author 
.\" responsible for the proper functioning of this software, nor does 
.\" the author assume any responsibility for damages incurred with its 
.\" use.
.Dd November 1, 1994
.Dt APMCONF 8
.Os
.Sh NAME
.Nm apmconf
.Nd configure APM BIOS driver
.Sh SYNOPSIS
.Nm apmconf
.Op Fl e
.Op Fl d
.Op Fl h
.Op Fl t
.Sh DESCRIPTION
.Nm Apmconf
is used to configure the APM (Advanced Power Management) BIOS driver
.Xr apm 4 
on laptop PCs.
.Pp
The following options are available.
.Bl -tag -width indent
.It Fl e
Enable power management.
.It Fl d
Disable power management.
.El
.Pp
These options enable/disable power management functions provided by
.Xr apm 4 .
.Bl -tag -width indent
.It Fl h
Enable HLT instruction in kernel context switch routine.
.It Fl t
Disable HLT instruction in kernel context switch routine.
.El
.Pp
These options are not necessary for almost all APM implementations,
but for some implementations whose 
.Dq Pa Idle CPU
call executes both CPU clock slowdown and HLT instruction,
.Fl t
is necessary to prevent the system from reducing its peak performance.
See 
.Xr apm 4
for details.
.Sh SEE ALSO
.Xr apm 4 ,
.Xr apm 8 ,
.Xr zzz 8
.Sh AUTHORS
.An Tatsumi Hosokawa Aq hosokawa@jp.FreeBSD.org
